CRMchat APIBeta
Telegram APIChatlists

chatlists.getChatlistUpdates

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/chatlists.getChatlistUpdates

Fetch new chats associated with an imported chat folder deep link ». Must be invoked at most every chatlist_update_period seconds (as per the related client configuration parameter »).

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Fetch new chats associated with an imported chat folder deep link ». Must be invoked at most every chatlist_update_period seconds (as per the related client configuration parameter »).

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/chatlists.getChatlistUpdates" \  -H "Content-Type: application/json" \  -d '{    "params": {      "chatlist": {        "_": "inputChatlistDialogFilter",        "filterId": 0      }    }  }'
{  "result": {    "_": "chatlists.chatlistUpdates",    "missingPeers": [      {        "_": "peerUser",        "userId": 0      }    ],    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}